Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class GetTaskAssignedAsPotentialOwnerPagingCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<T>
          org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<List<TaskSummary>>
              org.jbpm.services.task.commands.GetTaskAssignedAsPotentialOwnerPagingCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<List<TaskSummary>>, Command<List<TaskSummary>>

    public class GetTaskAssignedAsPotentialOwnerPagingCommand

extends UserGroupCallbackTaskCommand<List<TaskSummary>>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupsIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, taskId, userId`

Constructor Summary
`GetTaskAssignedAsPotentialOwnerPagingCommand()`
`GetTaskAssignedAsPotentialOwnerPagingCommand(String userId, List<String> groupIds, int firstResult, int maxResults)`

Method Summary
`List<TaskSummary>` | `execute(org.kie.internal.command.Context cntxt)`
`Integer` | `getFirstResult()`
`Integer` | `getMaxResults()`
`void` | `setFirstResult(Integer firstResult)`
`void` | `setMaxResults(Integer maxResults)`

Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand
`addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, persistIfNotExists`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetTaskAssignedAsPotentialOwnerPagingCommand

    public GetTaskAssignedAsPotentialOwnerPagingCommand()

### GetTaskAssignedAsPotentialOwnerPagingCommand

    public GetTaskAssignedAsPotentialOwnerPagingCommand(String userId,
                                                        List<String> groupIds,
                                                        int firstResult,
                                                        int maxResults)

Method Detail

### getFirstResult

    public Integer getFirstResult()

### setFirstResult

    public void setFirstResult(Integer firstResult)

### getMaxResults

    public Integer getMaxResults()

### setMaxResults

    public void setMaxResults(Integer maxResults)

### execute

    public List<TaskSummary> execute(org.kie.internal.command.Context cntxt)

  Specified by:
    `execute` in interface `org.drools.core.command.impl.GenericCommand<List<TaskSummary>>`
  Overrides:
    `execute` in class `UserGroupCallbackTaskCommand<List<TaskSummary>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.